//------------------------------------------------------------------
#property copyright "www.forex-tsd.cm"
#property link      "www.forex-tsd.cm"
//------------------------------------------------------------------
#property indicator_chart_window
#property indicator_buffers 3
#property indicator_color1  LimeGreen
#property indicator_color2  DarkGray
#property indicator_color3  PaleVioletRed
#property indicator_style1  STYLE_DOT
#property indicator_style2  STYLE_DOT
#property indicator_style3  STYLE_DOT

//
//
//
//
//

extern bool HighLowVisible = false;
double bandUp[];
double bandMi[];
double bandDn[];

//------------------------------------------------------------------
//
//------------------------------------------------------------------
//
//
//
//
//

int init()
{
   int style = DRAW_LINE; if (!HighLowVisible) style = DRAW_NONE;
   SetIndexBuffer(0,bandUp); SetIndexStyle(0,style);
   SetIndexBuffer(1,bandMi); 
   SetIndexBuffer(2,bandDn); SetIndexStyle(2,style);
   return(0);
}
int deinit()
{
   return(0); 
}

//
//
//
//
//

int start()
{
   int counted_bars=IndicatorCounted();
      if(counted_bars < 0) return(-1);
      if(counted_bars>0) counted_bars--;
         int limit = MathMin(Bars-counted_bars,Bars-1);
         int day   = TimeDayOfYear(Time[0]);
            for (;limit<Bars-1; limit++) if (TimeDayOfYear(Time[limit])!=day) break;

   //
   //
   //
   //
   //

   for(int i = limit; i >= 0; i--)
   {
      int y = iBarShift(NULL,PERIOD_D1,Time[i]);
         bandUp[i] = iHigh(NULL,PERIOD_D1,y);
         bandDn[i] = iLow(NULL,PERIOD_D1,y);
         bandMi[i] = (bandUp[i]+bandDn[i])/2.0;
   }
   return(0);
}

